Bug 522194

Summary: unhelpful permissions on .debug files
Product: [Fedora] Fedora Reporter: Roland McGrath <roland>
Component: rpmAssignee: Panu Matilainen <pmatilai>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: dcantrell, ffesti, jakub, jnovy, karsten, ovasik, pmatilai
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 4.7.1-3.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-15 09:04:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 521963    
Attachments:
Description Flags
patch to set mode 444 on .debug files none

Description Roland McGrath 2009-09-09 18:09:03 UTC
Created attachment 360299 [details]
patch to set mode 444 on .debug files

The .debug files in -debuginfo packages wind up with whatever permissions the original file had, which is not really useful.

This patch should fix it.

Comment 1 Panu Matilainen 2009-09-15 09:04:06 UTC
Applied both upstream and rawhide now, thanks for the patch.

Comment 2 Fedora Update System 2009-10-08 10:06:08 UTC
rpm-4.7.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpm-4.7.1-3.fc11

Comment 3 Fedora Update System 2009-10-27 06:35:11 UTC
rpm-4.7.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.